bitel.billing.server.script.bean.event

## Class KernelEventNumbers

- java.lang.Object
- - bitel.billing.server.script.bean.event.KernelEventNumbers

- Deprecated.

      @Deprecated
      public class KernelEventNumbers
      extends java.lang.Object

  Класс - справочник кодов событий ядра

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_AFTER_EVENT` Deprecated.
    `static int` | `ACTION_BEFORE_EVENT` Deprecated.
    `static int` | `ADD_CHANGE_TARIFF_TASK` Deprecated.
    `static int` | `ADD_CONTRACT_OBJECT_EVENT` Deprecated.
    `static int` | `BEFORE_CONTRACT_PARAM_CHANGE` Deprecated.
    `static int` | `BEFORE_SERVICE_DELETE_EVENT` Deprecated.
    `static int` | `CANCEL_TARIFF_EVENT` Deprecated. синхронное событие отмены перехода на тариф (web)
    `static int` | `CHANGE_TARIFF_EVENT` Deprecated.
    `static int` | `CHARGE_EVENT` Deprecated.
    `static int` | `CONTRACT_CREATED_EVENT` Deprecated.
    `static int` | `CONTRACT_LIMIT_USER_LOW` Deprecated.
    `static int` | `CONTRACT_PARAM_CHANGED_EVENT` Deprecated.
    `static int` | `CONTRACT_STATUS_CHANGED` Deprecated.
    `static int` | `CONTRACT_STATUS_CHANGING` Deprecated.
    `static int` | `CONTRACT_STATUS_SET_LOGIC` Deprecated. событие задания логики смены/перетирания статуса скриптом
    `static int` | `CONTRACT_TARIFF_DELETE_EVENT` Deprecated.
    `static int` | `CONTRACT_TARIFF_UPDATE_EVENT` Deprecated.
    `static int` | `CONTRACT_WRAP_EVENT` Deprecated.
    `static int` | `DELETE_CONTRACT_OBJECT_EVENT` Deprecated.
    `static int` | `GET_ADDITIONAL_ACTION_CLIENT` Deprecated.
    `static int` | `GET_ADDITIONAL_ACTION_WEB` Deprecated.
    `static int` | `GET_CONTRACT_CARDS_EVENT` Deprecated.
    `static int` | `GET_CONTRACT_STATUS_CHANGE_DATES_EVENT` Deprecated. получение списка дат смены статуса, GetContractStatusChangeDatesEvent
    `static int` | `GET_TARIFF_CHANGE_DATES` Deprecated.
    `static int` | `OBJECT_PARAM_BEFORE_UPDATE_EVENT` Deprecated.
    `static int` | `OBJECT_PARAM_UPDATE_EVENT` Deprecated.
    `static int` | `PAYMENT_DELETE_EVENT` Deprecated.
    `static int` | `PAYMENT_EVENT` Deprecated.
    `static int` | `PERSONAL_TARIFF_DELETE_EVENT` Deprecated.
    `static int` | `PERSONAL_TARIFF_TREE_UPDATE_EVENT` Deprecated.
    `static int` | `PERSONAL_TARIFF_UPDATE_EVENT` Deprecated.
    `static int` | `PROCESS_ADDITIONAL_ACTION_CLIENT` Deprecated.
    `static int` | `SERVICE_UPDATE_EVENT` Deprecated.
    `static int` | `TARIFF_OPTION_ACTIVATE_EVENT` Deprecated. активация/деактивация тарифной опции
    `static int` | `TARIFF_OPTION_ACTIVATED_EVENT` Deprecated.
    `static int` | `TARIFF_OPTION_DEACTIVATE_EVENT` Deprecated.
    `static int` | `TARIFF_OPTION_DEACTIVATED_EVENT` Deprecated.
    `static int` | `TIMER_EVENT` Deprecated.
    `static int` | `UPDATE_CONTRACT_OBJECT_EVENT` Deprecated.
    `static int` | `VALIDATE_TEXT_PARAM_EVENT` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KernelEventNumbers()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAYMENT_EVENT

          public static final int PAYMENT_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CHARGE_EVENT

          public static final int CHARGE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### TIMER_EVENT

          public static final int TIMER_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CHANGE_TARIFF_EVENT

          public static final int CHANGE_TARIFF_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_CREATED_EVENT

          public static final int CONTRACT_CREATED_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### VALIDATE_TEXT_PARAM_EVENT

          public static final int VALIDATE_TEXT_PARAM_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_PARAM_CHANGED_EVENT

          public static final int CONTRACT_PARAM_CHANGED_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### BEFORE_SERVICE_DELETE_EVENT

          public static final int BEFORE_SERVICE_DELETE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SERVICE_UPDATE_EVENT

          public static final int SERVICE_UPDATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### GET_ADDITIONAL_ACTION_WEB

          public static final int GET_ADDITIONAL_ACTION_WEB

      Deprecated.
      See Also:
        Constant Field Values

    - #### GET_ADDITIONAL_ACTION_CLIENT

          public static final int GET_ADDITIONAL_ACTION_CLIENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROCESS_ADDITIONAL_ACTION_CLIENT

          public static final int PROCESS_ADDITIONAL_ACTION_CLIENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### ADD_CHANGE_TARIFF_TASK

          public static final int ADD_CHANGE_TARIFF_TASK

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_CHANGING

          public static final int CONTRACT_STATUS_CHANGING

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_CHANGED

          public static final int CONTRACT_STATUS_CHANGED

      Deprecated.
      See Also:
        Constant Field Values

    - #### GET_TARIFF_CHANGE_DATES

          public static final int GET_TARIFF_CHANGE_DATES

      Deprecated.
      See Also:
        Constant Field Values

    - #### BEFORE_CONTRACT_PARAM_CHANGE

          public static final int BEFORE_CONTRACT_PARAM_CHANGE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ADD_CONTRACT_OBJECT_EVENT

          public static final int ADD_CONTRACT_OBJECT_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### UPDATE_CONTRACT_OBJECT_EVENT

          public static final int UPDATE_CONTRACT_OBJECT_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DELETE_CONTRACT_OBJECT_EVENT

          public static final int DELETE_CONTRACT_OBJECT_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_LIMIT_USER_LOW

          public static final int CONTRACT_LIMIT_USER_LOW

      Deprecated.
      See Also:
        Constant Field Values

    - #### GET_CONTRACT_CARDS_EVENT

          public static final int GET_CONTRACT_CARDS_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_WRAP_EVENT

          public static final int CONTRACT_WRAP_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### OBJECT_PARAM_BEFORE_UPDATE_EVENT

          public static final int OBJECT_PARAM_BEFORE_UPDATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### OBJECT_PARAM_UPDATE_EVENT

          public static final int OBJECT_PARAM_UPDATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACTION_BEFORE_EVENT

          public static final int ACTION_BEFORE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### ACTION_AFTER_EVENT

          public static final int ACTION_AFTER_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_TARIFF_UPDATE_EVENT

          public static final int CONTRACT_TARIFF_UPDATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_TARIFF_DELETE_EVENT

          public static final int CONTRACT_TARIFF_DELETE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### GET_CONTRACT_STATUS_CHANGE_DATES_EVENT

          public static final int GET_CONTRACT_STATUS_CHANGE_DATES_EVENT

      Deprecated.
      получение списка дат смены статуса, GetContractStatusChangeDatesEvent
      See Also:
        Constant Field Values

    - #### PERSONAL_TARIFF_UPDATE_EVENT

          public static final int PERSONAL_TARIFF_UPDATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PERSONAL_TARIFF_DELETE_EVENT

          public static final int PERSONAL_TARIFF_DELETE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PERSONAL_TARIFF_TREE_UPDATE_EVENT

          public static final int PERSONAL_TARIFF_TREE_UPDATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CANCEL_TARIFF_EVENT

          public static final int CANCEL_TARIFF_EVENT

      Deprecated.
      синхронное событие отмены перехода на тариф (web)
      See Also:
        Constant Field Values

    - #### TARIFF_OPTION_ACTIVATE_EVENT

          public static final int TARIFF_OPTION_ACTIVATE_EVENT

      Deprecated.
      активация/деактивация тарифной опции
      See Also:
        Constant Field Values

    - #### TARIFF_OPTION_ACTIVATED_EVENT

          public static final int TARIFF_OPTION_ACTIVATED_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### TARIFF_OPTION_DEACTIVATE_EVENT

          public static final int TARIFF_OPTION_DEACTIVATE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### TARIFF_OPTION_DEACTIVATED_EVENT

          public static final int TARIFF_OPTION_DEACTIVATED_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PAYMENT_DELETE_EVENT

          public static final int PAYMENT_DELETE_EVENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_SET_LOGIC

          public static final int CONTRACT_STATUS_SET_LOGIC

      Deprecated.
      событие задания логики смены/перетирания статуса скриптом
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KernelEventNumbers

          public KernelEventNumbers()

      Deprecated.